Get Open Positions
Response Example
{
"success": true,
"code": 0,
"data": [
{
"positionId": 1109973831,
"symbol": "BTC_USDT",
"positionType": 1,
"openType": 1,
"state": 1,
"holdVol": 5,
"frozenVol": 0,
"closeVol": 0,
"holdAvgPrice": 109777.5,
"holdAvgPriceFullyScale": "109777.5",
"openAvgPrice": 109777.5,
"openAvgPriceFullyScale": "109777.5",
"closeAvgPrice": 0,
"liquidatePrice": 55020.5,
"oim": 27.444375,
"im": 27.444375,
"holdFee": 0,
"realised": 0,
"leverage": 2,
"marginRatio": 0.0027,
"createTime": 1761887133854,
"updateTime": 1761887133854,
"autoAddIm": false,
"version": 1,
"profitRatio": 0,
"newOpenAvgPrice": 109777.5,
"newCloseAvgPrice": 0,
"closeProfitLoss": 0,
"fee": 0,
"deductFeeList": [],
"totalFee": 0,
"zeroSaveTotalFeeBinance": 0.0301,
"zeroTradeTotalFeeBinance": 0.0301
}
]
}
- GET
/api/v1/private/position/open_positions
Required Permission: View Order Details
Request Parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
| symbol | string | false | Contract |
| positionId | long | false | Position ID |
Response Parameters:
| Parameter | Type | Description |
|---|---|---|
| positionId | long | Position id |
| symbol | string | Contract |
| holdVol | decimal | Position size |
| positionType | int | Position type, 1 long 2 short |
| openType | int | Open type, 1 isolated 2 cross |
| state | int | Position status,1 holding 2 system-held 3 closed |
| frozenVol | decimal | Frozen volume |
| closeVol | decimal | Closed volume |
| holdAvgPrice | decimal | Average position price |
| holdAvgPriceFullyScale | decimal | Full precision position price |
| closeAvgPrice | decimal | Average closing price |
| openAvgPrice | decimal | Average opening price |
| openAvgPriceFullyScale | decimal | Full precision opening price |
| liquidatePrice | decimal | Liquidation price in isolated mode |
| oim | decimal | Original initial margin |
| adlLevel | int | adl reduction level, range 1-5, null means pending refresh |
| im | decimal | Initial margin, adjustable in isolated mode to tune liquidation price |
| holdFee | decimal | Funding fee, positive = received, negative = paid |
| realised | decimal | Realized PnL |
| leverage | int | Leverage |
| marginRatio | decimal | Current position margin ratio |
| autoAddIm | boolean | Auto-add initial margin supported |
| profitRatio | decimal | Return ratio = realized PnL/initial margin |
| newOpenAvgPrice | decimal | Average opening price, differs from original |
| newCloseAvgPrice | decimal | Average closing price, differs from original |
| closeProfitLoss | decimal | Close PnL (fees excluded) |
| fee | decimal | Fees (excluding deductions) |
| totalFee | decimal | Accumulated fees |
| createTime | date | Created time |
| updateTime | date | Updated time |